org.jbpm.workflow.instance.node

## Class CompositeNodeInstance.CompositeNodeStartInstance

- java.lang.Object
- - org.jbpm.workflow.instance.impl.NodeInstanceImpl
  - - org.jbpm.workflow.instance.node.CompositeNodeInstance.CompositeNodeStartInstance

- All Implemented Interfaces:
    Serializable, org.kie.api.runtime.process.NodeInstance
  Enclosing class:
    CompositeNodeInstance

      public class CompositeNodeInstance.CompositeNodeStartInstance
      extends NodeInstanceImpl

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `NodeInstanceImpl.NodeInstanceTrigger`

  - ### Field Summary

    - ### Fields inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `logger`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CompositeNodeInstance.CompositeNodeStartInstance()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CompositeNode.CompositeNodeStart` | `getCompositeNodeStart()`
    `void` | `internalTrigger(org.kie.api.runtime.process.NodeInstance from, String type)`
    `void` | `triggerCompleted()`

    - ### Methods inherited from class org.jbpm.workflow.instance.impl.NodeInstanceImpl

      `cancel, executeAction, followConnection, getId, getLevel, getMetaData, getMetaData, getNode, getNodeId, getNodeInstanceContainer, getNodeName, getProcessInstance, getUniqueId, getVariable, isInversionOfControl, resolveContext, resolveContextInstance, retrigger, setId, setLevel, setMetaData, setNodeId, setNodeInstanceContainer, setProcessInstance, setVariable, trigger, triggerCompleted, triggerConnection, triggerNode, triggerNodeInstance`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompositeNodeInstance.CompositeNodeStartInstance

          public CompositeNodeInstance.CompositeNodeStartInstance()

  - ### Method Detail

    - #### getCompositeNodeStart

          public CompositeNode.CompositeNodeStart getCompositeNodeStart()

    - #### internalTrigger

          public void internalTrigger(org.kie.api.runtime.process.NodeInstance from,
                             String type)

      Specified by:
        `internalTrigger` in class `NodeInstanceImpl`

    - #### triggerCompleted

          public void triggerCompleted()

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.